/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package beans;

import entities.CuentaCorriente;
import java.util.List;
import javax.ejb.Local;

/**
 *
 * @author ryuuji
 */
@Local
public interface CuentaCorrienteFacadeLocal {

  void create(CuentaCorriente cuentaCorriente);

  void edit(CuentaCorriente cuentaCorriente);

  void remove(CuentaCorriente cuentaCorriente);

  CuentaCorriente find(Object id);

  List<CuentaCorriente> findAll();

  List<CuentaCorriente> findRange(int[] range);

  int count();
  
}
